
Katello - Bug #7088

Errata - Date and Content filter does not maintain changes

08/14/2014 11:04 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1130224 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/502
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1130224

If you make a change to an errata date and content filter and then navigate away and back your changes are not preserved even

though they are actually saved.  If you refresh the page the changes show up.

1. Create a content view

2. Select content view -> Content Tab -> Filters

3. Click +New Filter

4. Enter Name, Content Type -> Errata - Date and Type -> Include. Click Save. It goes to Erratum Date Range Tab

5. Check Security, Enhancement, Bug Fix

7. Enter Start Date and End Date

8. Click Save - I got the message "Updated errata filter - filter3"

9. Click on Affected Repositories tab

10. Click on Erratum Date Range Tab again - FAIL - Notice that the date is showing empty.

Associated revisions

Revision f7e76150 - 08/14/2014 11:05 AM - Walden Raines

Fixes #7088/BZ1130224: reload filter after saving date range errata.

After saving the rule it was being replaced by the previous value

that was stored in the fitler.  This commit reloads the filter so

that the rule is current.

http://projects.theforeman.org/issues/7088

https://bugzilla.redhat.com/show_bug.cgi?id=1130224

Revision 973410fe - 08/14/2014 11:05 AM - Walden Raines

Fixes #7088/BZ1130224: reload filter after saving date range errata.

After saving the rule it was being replaced by the previous value

that was stored in the fitler.  This commit reloads the filter so

that the rule is current.

http://projects.theforeman.org/issues/7088

https://bugzilla.redhat.com/show_bug.cgi?id=1130224

Revision a17fd3dc - 08/15/2014 11:48 AM - Walden Raines

Merge pull request #4581 from waldenraines/7088

Fixes #7088/BZ1130224: reload filter after saving date range errata.

Revision fb8c430e - 08/15/2014 11:48 AM - Walden Raines

Merge pull request #4581 from waldenraines/7088

Fixes #7088/BZ1130224: reload filter after saving date range errata.
Revision 172f7c11 - 02/18/2015 01:16 PM - Walden Raines

Fixes #7088: set filter rule to updated rule on save.

http://projects.theforeman.org/issues/7088

https://bugzilla.redhat.com/show_bug.cgi?id=1130224

Revision c8623e9e - 02/19/2015 08:48 AM - Walden Raines

Merge pull request #5025 from waldenraines/7088

Fixes #7088: set filter rule to updated rule on save.

History

#1 - 08/14/2014 11:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4581 added

- Pull request deleted ()

#2 - 08/15/2014 12:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|f7e761508dca022618f7f1ca04ada6de07e0aba1.

#3 - 08/15/2014 02:15 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 02/18/2015 11:07 AM - Walden Raines

- Status changed from Closed to Assigned

- Target version deleted (54)

- Pull request  added

- Pull request deleted (https://github.com/Katello/katello/pull/4581)

#6 - 02/18/2015 01:15 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 66

- Pull request https://github.com/Katello/katello/pull/5025 added

- Pull request deleted ()

#7 - 02/19/2015 09:02 AM - Walden Raines

- Status changed from Ready For Testing to Closed

Applied in changeset katello|172f7c11cd8f9da716a1be855f86be376930c0b0.

#8 - 02/23/2015 11:30 AM - Justin Sherrill

- Related to Bug #9493: Creating an errata date filter in Chrome results in an error added

#9 - 02/23/2015 11:31 AM - Justin Sherrill

- Related to deleted (Bug #9493: Creating an errata date filter in Chrome results in an error)
